Loading...
Searching...
No Matches
Opm::GhostLastMatrixAdapter< M, X, Y, C > Class Template Reference

Dune linear operator that assumes ghost rows are ordered after interior rows. More...

`#include <WellOperators.hpp>`

Inheritance diagram for Opm::GhostLastMatrixAdapter< M, X, Y, C >:

## Public Types

typedef M | matrix_type
typedef X | domain_type
typedef Y | range_type
typedef X::field_type | field_type
typedef C | communication_type

## Public Member Functions

Dune::SolverCategory::Category | category () const override
| GhostLastMatrixAdapter (const M &A, const communication_type &comm)
| constructor: just store a reference to a matrix
| GhostLastMatrixAdapter (const std::shared_ptr< M > A, const communication_type &comm)
virtual void | apply (const X &x, Y &y) const override
virtual void | applyscaleadd (field_type alpha, const X &x, Y &y) const override
virtual const matrix_type & | getmat () const override
size_t | getInteriorSize () const

## Detailed Description

template<class M, class X, class Y, class C>
class Opm::GhostLastMatrixAdapter< M, X, Y, C >

Dune linear operator that assumes ghost rows are ordered after interior rows.

Avoids some computations because of this.

This is similar to WellModelGhostLastMatrixAdapter, with the difference that here we do not have a well model, and also do calcilate the interiorSize using the parallel index set. Created for use in AMG/CPR smoothers.

The documentation for this class was generated from the following file:

- opm/simulators/linalg/WellOperators.hpp